<?php
require_once(__DIR__.'/settings.php');
require_once(VMNC_IEM_ROOT.'/admin/cron/common.php');

use vimmaniac\logging as logging;
use vimmaniac\mpl as mpl;

if (getenv('MPL_PROCESS_IS_CHILD') === False){
    $VMNC_MSH_logger->add(
        "Child script was started without proper environment.",
        VMNC_LOG_LEVEL_ERROR
    );

    exit(1);
}

$child = new mpl\ChildProcessManagerSoq(
    '\vimmaniac\msh\TaskPerformerMSH'
);

$child->start();
