<?php
namespace vimmaniac;

class BaseException extends \Exception {
    public function
    __construct(
        $message=Null,
        $code=Null,
        \Exception $previous=Null
    ){
        # Create string to be returned by __toString().
        $this->_message = get_class($this);
        if (! is_null($message)){
            if (! is_null($code))
                { $this->_message .= sprintf(": %s, %s", $code, $message); }
            else  
                { $this->_message .= sprintf(": %s", $message); }
        }
        else {
            if (! is_null($code))
                { $this->_message .= sprintf(": %s", $code); }
        }
        $this->_message = '"'.$this->_message.'"';

        parent::__construct($message, $code, $previous);
    }

    public function
    __toString(){
        return $this->_message;
    }
}

